<?php 
require("launchcontent.php");
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">

<!--  Version: Multiflex-3 Update-4 / Overview             -->
<!--  Date:    December 11, 2006                           -->
<!--  Author:  Wolfgang                                    -->
<!--  License: Fully open source without restrictions.     -->
<!--           Please keep footer credits with a link to   -->
<!--           Wolfgang (www.1-2-3-4.info). Thank you!     -->

<head>
  <meta http-equiv="content-type" content="text/html; charset=utf-8" />
  <meta http-equiv="cache-control" content="no-cache" />
  <meta http-equiv="expires" content="3600" />
  <meta name="revisit-after" content="2 days" />
  <meta name="robots" content="index,follow" />
  <meta name="publisher" content="Your publisher infos here ..." />
  <meta name="copyright" content="Your copyright infos here ..." />
  <meta name="author" content="Design: Wolfgang (www.1-2-3-4.info) / Modified: Your Name" />
  <meta name="distribution" content="global" />
  <meta name="description" content="Your page description here ..." />
  <meta name="keywords" content="Your keywords, keywords, keywords, here ..." />
  <link rel="stylesheet" type="text/css" media="screen,projection,print" href="/css/layout4_setup.css" />
  <link rel="stylesheet" type="text/css" media="screen,projection,print" href="/css/layout4_text.css" />
  <script type="text/javascript" src="./js/ieflickerhack.js"></script>
  <link rel="icon" type="image/x-icon" href="/img/favicon.ico" />
  <title><?php ce_title();?></title>
<script type="text/javascript">
var gaJsHost = (("https:" == document.location.protocol) ? "https://ssl." : "http://www.");
document.write(unescape("%3Cscript src='" + gaJsHost + "google-analytics.com/ga.js' type='text/javascript'%3E%3C/script%3E"));
</script>
<script type="text/javascript">
try {
var pageTracker = _gat._getTracker("UA-3997324-2");
pageTracker._trackPageview();
} catch(err) {}</script>
</head>

<!-- Global IE fix to avoid layout crash when single word size wider than column width -->
<!--[if IE]><style type="text/css"> body {word-wrap: break-word;}</style><![endif]-->

<body>
  <!-- Main Page Container -->
  <div class="page-container">

   <!-- For alternative headers START PASTE here -->

    <!-- A. HEADER -->      
    <div class="header">
      
      <!-- A.1 HEADER TOP -->
      <div class="header-top">
        
        <!-- Sitelogo and sitename -->
<?php echo metapage("logo")->content;?>    
        <!-- Navigation Level 0 -->
        <div class="nav0">
<?php ce_translations();?>
        </div>			

        <!-- Navigation Level 1 -->
        <div class="nav1">
<?php echo metapage("sitelinks")->content; ?>
        </div>              
      </div>
      
      <!-- A.2 HEADER MIDDLE -->
      <div class="header-middle">    
   
        <!-- Site message -->
        <div class="sitemessage">
<?php $p = metapage("banner");
echo $p->content; ?>   
     </div>        
      </div>
      
      <!-- A.3 HEADER BOTTOM -->
      <div class="header-bottom">
      
        <!-- Navigation Level 2 (Drop-down menus) -->
        <div class="nav2">
	
          <!-- Navigation item -->
<?php ce_menu();?>

          
          <!-- Navigation item -->
        </div>
	  </div>

      <!-- A.4 HEADER BREADCRUMBS -->
<?php if (defined('ENGINE_READY')) {
?>
      <!-- Breadcrumbs -->
      <div class="header-breadcrumbs">
<?php echo ce_breadcrumbs();?>
  

        <!-- Search form -->                  
        <div class="searchform">
<?php echo metapage("search")->content;?>
        </div>
      </div>
    </div>

    <!-- For alternative headers END PASTE here -->


    <!-- B. MAIN -->
    <div class="main">

      <!-- B.1 MAIN NAVIGATION -->
      <div class="main-navigation">

        <!-- Navigation Level 3 -->
        <div class="round-border-topright"></div>
<?php $r = new BlockRule;
$r->match="<h1";
$r->afterMatch=' class="first"';

 echo applyBlock(metapage("navigation")->content,$r);?>

        <!-- Navigation with grid style -->
        <dl class="nav3-grid">
<?php
ce_links_as_dictionary();
?>

        </dl>                        
<?php $p=metapage("column_left");
 echo $p->content;?>
      </div>

      <!-- B.2 MAIN CONTENT -->
      <div class="main-content">
        
        <!-- Pagetitle -->
        <h1 class="pagetitle"><?php ce_header();?></h1>
	<?php ce_content();?>
                                         
      </div>

      <div class="main-subcontent">
      <!-- B.3 SUBCONTENT -->
<?php $p=metapage("column_right");
$r = new BlockRule;
$r->match="<h1";

$r->beforeBlock='      <div class="main-subcontent">
        <div class="subcontent-unit-border">
          <div class="round-border-topleft"></div><div class="round-border-topright"></div>';
$r->afterBlock="</div></div>";
$b = array();
$b[]=$r;
echo applyBlock($p->content,$r);?>

      </div>
<?php } else {
ce_engine_message();
}?>
</div>
    <!-- C. FOOTER AREA -->      

    <div class="footer">
<?php	echo metapage("footer")->content;?>
    </div>      
  </div> 
  
</body>
</html>



