<?php
define(ENGINE_START,"Yes please");
//define(ENGINE_READY,"Just for test");
if (file_exists("config.php")) {
	require("config.php");

	require("contentengine/content.php");
	require("contentengine/script.php");

	global $page,$site,$links,$_GET,$translations,$navigation;

	$site = SITE;
	$page = getPage(SITE,$_GET['language'],$_GET['query']);
	if ($page==false) $page=metapage("default");
	$links = getLinks(SITE,$_GET['language']);
	$navigation = createNavigation($links);

	if ($page!=false) {$translations = getTranslations($page->page_id);}
	define("SITE_PREFIX",getSiteByCode($site)->url."/");
	define("LINK_PREFIX",SITE_PREFIX.$_GET['language'].'/');
} else if (file_exists("install.php")) {
	require("install.php");
}

function ce_title() {
if (defined('ENGINE_READY')) {
global $page;
	if ($page !== false) {
		echo $page->header;
	}
	else if (strlen($_GET['query'])>0) echo "'".$_GET['query']."'";
	else echo "Welcome!";
} else {
	echo "Install CE with Multiflex 3 template";
}
}
function ce_content() {
global $_GET,$page;
if (defined('ENGINE_READY')) {
	$languagename = getLanguageName($_GET['language']);
	if ($languagename == false) {
		echo "<p>No such language! Try one of following languages:".getLanguages().'</p>';
	}
	else {
	$r = new BlockRule;
	$r->match="<h1";
	$r->beforeBlock='<div class="column1-unit">';
	$r->afterBlock='</div> <hr class="clear-contentunit" />  ';
	//echo $page->content;

	echo applyBlock($page->content,$r);
	}
}
}
function ce_header() {
global $_GET,$page;
$languagename = getLanguageName($_GET['language']);

if ($languagename == false) {
	echo 'No such language';

}
else if ($page == false) {
	echo $_GET['query'];

} else {
echo $page->header;

}
}
function ce_translations() {
	if (defined('ENGINE_READY')) {
		global $translations,$page;
		if ($page!=false) {
			echo "<ul>";
			foreach($translations as $t) {
				if ($page->language!=$t->languagecode) {
					echo '<li><a href="'.SITE_PREFIX.$t->languagecode."/".$t->pagename.'"><img src="/flags/'.$t->languagecode.'.gif" alt="'.$t->languagename.'"/></a></li>';
				}
			}
			echo "</ul>";
		}
	}	
}

function metapage($key) {
if (defined('ENGINE_READY')) {
	return getPageByKey(SITE,$key);
} 
}
function ce_link($link) {
return '<a href="'.LINK_PREFIX.$link->name.'">'.$link->header.'</a>';
}
function ce_menu($links=false) {
if (defined('ENGINE_READY')) {
	if ($links===false) global $links;
		echo "<ul>";
		foreach ($links as $link) {
			echo "<li>".ce_link($link);	
			$children=$link->children;
			if (sizeof($children)>0) {
				ce_menu($children);
			}
			echo "</li>";
		}
		echo "</ul>";
	}
}
function ce_links_as_dictionary (){
if (defined('ENGINE_READY')) {
	global $links;
	foreach ($links as $link) {
		echo '<dt>'.ce_link($link).'</dt>';
		$children=$link->children;
			foreach ($children as $sublink) {
				echo '<dd>'.ce_link($sublink).'</dd>';
			}
		}
	}
}
function ce_breadcrumbs() {
$base = metapage("breadcrumbs_base")->content;
$pos0  = strpos($base,"<ul>");
$pos = strpos($base,"</ul>");
global $navigation;
$link = $navigation;
if ($pos0==false) echo "<ul>";

$navigation = "";
while ($link) {
	$navigation.="<li>".ce_link($link)."&nbsp;</li>";
$link=$link->children[0];
}
if ($pos==false) {
	echo $base.$navigation."</ul>";
} else {
	echo substring($base,0,$pos).$navigation.substring($base,$pos);
}

}
function createNavigation($links) {
global $page;
foreach ($links as $link) {
//echo "CHECKING LINK ".$link->name;
	if (strcmp($link->name,$page->name)==0) {
//		echo "MATCH ".$link->name. "<br/>";
					$c = new Link;
			$c->name=$link->name;
			$c->header=$link->header;
			$c->image=$link->image;
			$c->children=array();
			$c->children[]=$n;
			return $c;


	}
	else if (sizeof($link->children) >0)  {
		$n = createNavigation($link->children);
		if ($n!==false) {
//		echo "MATCH-CHILDREN ".$link->name. "<br/>";
			$c = new Link;
			$c->name=$link->name;
			$c->header=$link->header;
			$c->image=$link->image;
			$c->children=array();
			$c->children[]=$n;
			return $c;
		}
	}
}
return false;
}
function ce_engine_message() {
if (! defined("ENGINE_MESSAGE") ) {
define("ENGINE_MESSAGE","Engine <b>not</b> ready. No message was set.");
}
	echo '<div style="padding:30px;">'.ENGINE_MESSAGE.'</div>';
}
?>
